1.6.0 (20.05.2022)

    Main Features

    - Wizard
    - Composer 2 + PHP 8.0
    - Auto update
    - Direct Mail send to Users via User Panel
    - Media custom attribute API
    - Better User UX
        - New Message Handler
        - "forward and back" keys switch tabs

    Features

    - feat: possibility to ignore maintenance mode
    - feat: Site Panel -> onQuiqqerSitePanelBuild event
    - feat: quiqqer/quiqqer#1133
    - feat: new panel cache js event
    - feat: media input -> media button can be disabled
    - feat: quiqqer/quiqqer#1141
    - feat: getVersion() at Package Class; refactor: code style
    - feat: quiqqer:copy-language-sites -> --copy_bricks and --do_not_activate options quiqqer/quiqqer#1149
    - feat: new cli command: ./console clear-cache-path
    - feat: quiqqer/quiqqer#1145 - children creation wizard
    - feat: getDisplayName for user with address fallback
    - feat: quiqqer/quiqqer#1135
    - feat: new events updateBegin, updateEnd
    - feat: new message handler
    - feat: quiqqer/quiqqer#1123
    - feat: new mail event -> mailerSendInit
    - feat: adds support for CKEditor 5
    - feat: clear URL caches when saving site
    - feat: ecoyn/core#6 - installation wizard API
    - feat: output filter has the possibility to set all links absolute; mailer use new output filter option
    - feat: project language copy console tool quiqqer/quiqqer#1120
    - feat: quiqqer/products#309
    - feat: picture -> reponsive image ratio -> consider 2x, 3x
    - feat: Tasks / Panels are able to set bigger ToolTips
    - feat: new hidden setting - ignoreSiteCacheClearing
    - feat: send images with user mail function via user panel quiqqer/quiqqer#1072
    - feat: Cache management -> clear settings cache option; refactor: added missing cache clear button title
    - feat: refactor: quiqqer/quiqqer#1080
    - feat: storage saves perPage, sortBy & sortOn
    - feat: quiqqer/quiqqer#1078 - Changes to the column model are stored in locale storage
    - feat: Output Filter Events
    - feat: set and send new password via user panel quiqqer/quiqqer#1073
    - feat: send email via user panel quiqqer/quiqqer#1072
    - feat: new user event -> onUserActivateBegin -> quiqqer/customer#48
    - feat: quiqqer/customer#45
    - feat: user panel -> refresh Display Method
    - feat: address -> get user by an address id; fix: user email address saving at user creation fixed
    - feat: e_date column in backend user list
    - feat: admin mail as BCC
    - feat: quiqqer/quiqqer#1066
    - feat: new url -> Site -> onUrlRewritten
    - feat: User.loadIfotLoaded Method
    - feat: trim email address on user save
    - feat: preview of media input

    Fix

    - fix: Undefinded index title in Output.php
    - fix: Undefined index "title" Output.php
    - fix: namerobot/template-namerobot.de#1
    - fix: quiqqer/quiqqer#1100
    - fix: installation wizard only active at SU
    - fix: workaround flex fix width -> media input
    - fix: Declaration of QUI\Groups\Guest::createChild(string , = null) must be compatible
    - fix: quiqqer/quiqqer#1148
    - fix: quiqqer/quiqqer#1126
    - fix: system panel -> opening is slow -> outdated check
    - fix: quiqqer/quiqqer#1151
    - fix: setup must not set the last update flag
    - fix: Removed commented out meta image property. Facebook and Twitter interpreted this as an empty open graph tag.
    - fix: check if QUIQQER project exists before trying to load it from request path quiqqer/quiqqer#1125; feat: existsProject method
    - fix: DOMTokenList error -> editor.js considers mulitple css body classes
    - fix: quiqqer/quiqqer#1140
    - fix: error catch
    - fix: reuire knapsack 8 to 10
    - fix: Deprecation Notice: preg_replace_callback(): Passing null to parameter #3
    - fix: quiqqer/quiqqer#1145
    - fix: endless loop
    - fix: quiqqer/quiqqer#1139
    - fix: array offset check
    - fix: allow site settings extension by other packages
    - fix: log error prevented when session is not yet properly established
    - fix: default event priority to 10
    - fix: site params -> no website cache
    - fix: data-no-cache=1
    - fix: use correct last update date - newer method
    - fix: Address getName() -> do not return single space character if address has no name parts
    - fix: Uncaught TypeError: QUI\Projects\Media\Utils::getMediaFolderSizeForProject()
    - fix: allow other packages than the original site type package to extend site type attributes
    - fix: quiqqer/quiqqer#1136
    - fix: json parsing errors
    - fix: clear package cache at quiqqer update
    - fix: Notice: Undefined index: packages - composer update fix
    - fix: update -> js -> package list check
    - fix: null check
    - fix: update check -> correct message
    - fix: profile button - letter pos
    - fix: message handling -> message deletion fixed
    - fix: url decode for image paths - picture elements are generated correctly
    - fix: pcsg/projects/walking-family-project#104 - incorrect breadcrumb
    - fix: remove debug log pcsg-projects/briefwahl-beantragen/briefwahl#21
    - fix: remove wrong return type declaration from Package\Manager::getPackageStoreUrls
    - fix: str contains -> haystack fix
    - fix: consider undefined HOST const
    - fix: setup wizard -> consider control css
    - fix: mail -> no picture element parsing
    - fix: consider _p as no language. quiqqer/products#332
    - fix: consider quiqqer asset -> setup
    - fix: Don't cache breadcrumb control.
    - fix: release from
    - fix: consider deactivation at site panel -> empty release_from
    - fix: set null atsite deactivation
    - fix: use at Site->save for e_date
    - fix: site deactivating deletes release from date, because deactivation does not work with a release date
    - fix: user activate -> only check for duplicate email address if email login is active
    - fix: check optional parameters - console
    - fix: QUIQQER CLI: correct call for optional arguments
    - fix: same behavior for the mail queue as with the mailer
    - fix: quiqqer/quiqqer/-/commit/4c1035ef78c60f55882310b160b22327b4f219ea#note_116307
    - fix: tooltip parsing -> consider moofx elememts object
    - fix: throwable exception -> added function type to to the context
    - fix: require qui 1.5 and higher
    - fix: Warning: strpos() expects parameter 1 to be string, array given
    - fix: Uncaught Error: Unknown named parameter -> ajax -> php8
    - fix: undefined variable -> ajax -> php8
    - fix: Uncaught Error: Unknown named parameter
    - fix: autoloading -> composer 2
    - fix: composer 2 loading -> stash workaround
    - fix: use new quiqqer assets
    - fix: composer 2 loading workaround for stash utilities
    - fix: composer 2 + stash workaround
    - fix: locale missing file to debug message
    - fix: we dont need pcsg composer assets anymore
    - fix: use quiqqer asset require
    - fix: use package name for quiqqer assets -> bin folder
    - fix: consider empty sets at picture source elements
    - fix: quiqqer/products#309
    - fix: consider image 2x 3x ratio
    - fix: Default value by image upload (4000).
    - fix: template are able to overwrite package scripts
    - fix: feat: quiqqer/quiqqer#1101
    - fix: quiqqer/quiqqer#1101
    - fix: quiqqer/quiqqer#1108
    - fix: set internal global control id for the user panel
    - fix: diashow show pagination / title bar in conjunction with resize dragger
    - fix: quiqqer/quiqqer#1096
    - fix: fallback for missing toolbar
    - fix: dir check for unknown toolbar
    - fix: quiqqer/erp#67
    - fix: quiqqer/erp#67
    - fix: user disable -> set 'expire' column to NULL instead of empty string
    - fix: user disable -> set 'birthday' column to NULL instead of empty string
    - fix: mark cross site cookies error fixed -> consider non https
    - fix: title -> media clear cache
    - fix: use no ui slide in version 15
    - fix: pcsg/kunden/bow-modellhandel-template#79
    - fix: quiqqer/quiqqer#1051
    - fix: pcsg/kunden/bow-modellhandel-template#77
    - fix: quiqqer/quiqqer#876
    - fix: Address->equals method
    - fix: missing locale -> permissions
    - fix: quiqqer/quiqqer#1092
    - fix: add mysql update password routine -> need to be a varchar 255
    - fix: Fallback for none multilingual input editor.
    - fix: project select -> add class
    - fix: consider ckeditor z index for media / project popups
    - fix: stupid css from hen fixed
    - fix: refactor: Media fixes :: Media View Grid - use local storage; fiel ending after name; multilingual showed up correctly in the grid; Drag Drop Upload is possible in the Grid now; File Deletion via File Panel are fixed
    - fix: duplicate locale
    - fix: quiqqer/quiqqer#561
    - fix: Media->replace() -> only set image_height and image_width if available in file metadata
    - fix: missmatched tags
    - fix: send admin BCC mails when multiple adresses are configured with comma separation
    - fix: exception -> maintenance -> wrong message triggering fixed
    - fix: quiqqer/quiqqer#1068 (by hen)
    - fix: flex box fix -> found via quiqqer/erp#42
    - fix: at update var/cache clearing
    - fix: use correct variable for decimal separator in Locale->formatNumber
    - fix: performance boost at link parsing -> runtime cache for same sites and different get params
    - fix: Grid storage -> return if no storage key exists
    - fix: consider non utf8 and utf8 strings at date formating
    - fix: media pagination -> always open page 1 when opening a folder NameStorm/Website#63
    - fix: change password -> trim all input quiqqer/quiqqer#1075
    - fix: consider empty everony group
    - fix: everyone / guest endless lopp
    - fix: if locale is empty, the default quiqqer system languages is used
    - fix: typo
    - fix: json encode -> utf, locale encode because of json encode bug; fix: open users twice
    - fix: user QUI and user ID conflict solved
    - fix: consider empty mail at user creation
    - fix: user address field chaos, when user dont have an default address
    - fix: package consider old package names
    - fix: refactor: mail firstname lastname matching
    - fix: if default address is missing, use system user to create it
    - fix: User->save(), use Permission User when saving address
    - fix: consider permission parent user, if user has no address
    - fix: missing bcc admin mail for mail queue
    - fix: correct event -> siteGetUrlRewritten
    - fix: refactor: standard address set the default email too
    - fix: trim email at the Standard Address fetch
    - fix: refactor: check user bin folder at Package Manager
    - fix: add user address on save, if no address exist
    - fix: check at wysiwy editor loading, if document and body is accessible
    - fix: if selfLangs are false, all projects and languages are allowed (by hen)
    - fix: refactor:default address will be set if none is set when user save
    - fix: quiqqer/customer#42
    - fix: correct use of first address as fallback address
    - fix: default mail address for default address
    - fix: address mail
    - fix: grid export -> uses css classes for js export data
    - fix: require -> downloadjs -> correct url
    - fix: quiqqer/customer#38; refactor: method return type hints
    - fix: address considers null user
    - fix: quiqqer/quiqqer#1061
    - fix: delete workspaces at user deletion
    - fix: A document must not include both a meta element with an http-equiv attribute whose value is content-type, and a meta element with a charset attribute
    - fix: -> sourceset -> correct media query
    - fix: remove xml output
    - fix: Include correct require.js
    - fix: quiqqer/quiqqer#1043
    - fix: package console tool -> wrong locale
    - refactor: Address -> use QUIQQER User Interface instead of User class for type hinting
    - refactor: no licence needed for the install wizard
    - refactor: includes -> at user class
    - refactor: licence step -> install wizard
    - refactor: quiqqer/quiqqer#1141 - Setup Wizzard -> Gruppen anlegen
    - refactor: permissions for quiqqer.system.update
    - refactor: feat: quiqqer/quiqqer#1133 + quiqqer/quiqqer#1141
    - refactor: better loging -> ajax error requests added to the js errors
    - refactor: added kylekatarnls/update-helper to the allowed plugins
    - refactor: quiqqer/quiqqer#1142
    - refactor: fix: system console session class uses web session setup
    - refactor: check if existsProject method exists before calling
    - refactor: use of stash 0.17.*
    - refactor: translations
    - refactor: code style; fix: Mail Queue triggers mailerSendBegin + mailerSend events
    - refactor: cleanup + utils is in 1.22 allowed
    - refactor: require knapsack 10.*
    - refactor: added allow plugins - code cleanup 7.2
    - refactor: php7.4
    - refactor: quiqqer/quiqqer#1145
    - refactor: quiqqer/cron required version
    - refactor: user getDisplayName -> use address company as fallback
    - refactor: workspace list window deactivated because of install wizard
    - refactor: feat: installation wizard -> onListInit method
    - refactor: req -> newer font awesome
    - refactor: merge conflict
    - refactor: multiple image sources now in img srcset instead of src
    - refactor: pcsg-projects/briefwahl-beantragen/briefwahl#5
    - refactor: typing
    - refactor: Canonical -> if get params active -> use REQUEST_URI
    - refactor: quiqqer installation wizard -> locale + placeholder values
    - refactor: quiqqer/quiqqer#1049
    - refactor: Information when the last update was performed
    - refactor: set available updates
    - refactor: added updateEnd and updateBegin event to Package manager
    - refactor: added animejs
    - refactor: code style
    - refactor: remove lock server
    - refactor: fix: web setup / update
    - refactor: fix: web update / check
    - refactor: quiqqer/quiqqer#1123
    - refactor: profile menu adapted to the rest of the menu
    - refactor: remove old message handler
    - refactor: message handler -> filter
    - refactor: code style
    - refactor: quiqqer/quiqqer#1133
    - refactor: Edit.php -> optimized permission check
    - refactor: consider template caching -> introduce new template cache namespace
    - refactor: consider php7 compatibility
    - refactor: html5 consider timeout
    - refactor: better log for ajax bundler
    - refactor: wizard -> consider workspace
    - refactor: workspace -> setup wizzard
    - refactor: consider open base dir -> replaces file_exists
    - refactor: moves URL cache clear into Site::deleteCache() method
    - refactor: quiqqer/redirect#45 - added event for 303
    - refactor: remove write log
    - refactor: deprecated usage of usort
    - refactor: avoid shrinking field container item (data table setting).
    - refactor: wizard title - locale
    - refactor: close setup wizard -> cancels it
    - refactor: quiqqer setup wizard
    - refactor: mail test -> setup
    - refactor: auto release flag for project sites
    - refactor: installation wizard
    - refactor: installation wizard
    - refactor: quiqqer/redirect#41
    - refactor: index.php -> do not log empty content exception in error log
    - refactor: Breadcrumb Control --> unnecessary float left property deleted.
    - refactor: require -> quiqqer utils 1.23
    - refactor: use symfony console 5
    - refactor: workaround class for the quiqqer setup
    - refactor: catch all errors at the main event class
    - refactor: composer 2 loader workaround -> setup problem
    - refactor: syfony console 4,5,6 allowed -> php7 + 8
    - refactor: composer2 compatibility
    - refactor: allowe composer 2
    - refactor: composer 2 allowed
    - refactor: remove npm packages with quiqqer assets
    - refactor: use quiqqer assets instead of npm packages
    - refactor: consider quiqqer assets
    - refactor: use quiqqer assets
    - refactor: image picture sourceset start set to 400
    - refactor: remove picturefill and promise polyfill
    - refactor: isset src at getImageHTML
    - refactor: mini workaround for quiqqer/quiqqer#1116
    - refactor: deliver every size
    - refactor: deliver every size
    - refactor: flag added for site task tooltip
    - refactor: MediaSelect -> option to work with media URLs instead of IDs
    - refactor: package events
    - refactor: implemented new package setup install events
    - refactor: FolderViewer -> Only show diashow btn if more than 1 image; only show diashow with images; only make images zoomable
    - refactor: php min version is 7.4
    - refactor: check min php version
    - refactor: added quiqqer bricks to the toolbars
    - refactor: Grid.js -> allow Separators to be added as grid 'buttons'
    - refactor: tooltip for project site panels
    - refactor: better image task preview
    - refactor: added new tippy js tooltip lib
    - refactor: added tippy -> new toolbar lib
    - refactor: upload -> dont delete spaces and dont rename file names to lower case
    - refactor: quiqqer/quiqqer#1096
    - refactor: better settings titles
    - refactor: feat: Project Select -> disable + enable
    - refactor: type hints
    - refactor: feat: removeRewrittenUrlCache - quiqqer/redirect#40 - helper method implemented
    - refactor: api for toolbar editor configurator
    - refactor: mailqueue table 'body' and 'text' columns changed to LONGTEXT
    - refactor: cleanup
    - refactor: show reset password in frontend by default quiqqer/frontend-users#54
    - refactor: quiqqer/quiqqer#876 - Performance issue with default username when creating new users
    - refactor: chrome input type search -> plus button
    - refactor: readme modified and updated to newer information
    - refactor: titleSort to columnSort
    - refactor: version 1.5.1
    - refactor: quiqqer/quiqqer#1082 - UX of caching management revised
    - refactor: to much logging
    - refactor: consider column changes in combination with the storage
    - refactor: allow composer asset in dev versions -> PHP 8 Update
    - refactor: everyone and guest group -> if not exists
    - refactor: fallback / workaround for non existing everyone group at setup
    - refactor: address saluation -> to user
    - refactor: cleanup
    - refactor: Locker -> correctly check user id in all possible configurations
    - refactor: unlock via ajax -> use unlock instead of unlockWithPermissions
    - refactor: method hints; refactor: feat: better mail test -> mail test uses the html template, too
    - refactor: added new event at lang selec
    - refactor: first address will be the default address and get the default address at the creation process
    - refactor: removed no longer needed firstname lastname workaround
    - refactor: firstname and lastname synchronize with the default address.
        if firstname and lastname are saved at the user, this will be saved in the default address.
        if firstname and lastname are changed at the default address, this will be transferred to the user.
    - refactor: standard address get user default email address if address email is empty
    - refactor: rgba to hex
    - refactor: feat: add onDblClickBegin at Grid
    - refactor: if only one language available, use this language as default language
    - refactor: feat: own favicon for administration
    - refactor: filePathIds > moved to long term cache
    - refactor: more size for users_address table fields 'firstname', 'lastname' and 'usertitle'
    - refactor: more size for users table fields 'firstname', 'lastname' and 'usertitle'
    - refactor: console log
    - refactor: remove console log
    - refactor: fix: delete console log
    - refactor: use min versions of css! image! text! require modules
    - refactor: html5 output
    - refactor: use html5 parsing in the output
    - refactor: using of masterminds/html5
    - refactor: better exception output
    - refactor: exception handling for deactivated and deleted user accounts quiqqer/frontend-users#53
    - refactor: trim login password quiqqer/frontend-users#53
    - refactor: login uses no bundle - no settings exists at the login page

1.5.2 (09.03.2021)

    Fixes

    - fixes missmatched Version

1.5.1 (18.11.2020)

    Features

    - feat: New Media Select Control
    - feat: cleanup console tools, cleanups workspaces, too
    - feat: updated license management and API
    - feat: PackageNotLicensedException -> default messages
    - feat: license features redirect#32

    Fixes

    - fix: #1044 - Locale for grid export is missing
    - fix: #1057 - User -> Default address not changeable
    - fix: #829 - After adding language to project the administration has to be reloaded
    - fix: #1033 - No Vhosts and only one language -> Links with language flag
    - fix: #1037 - Inform about Maintenance Mode in Admin Login Panel
    - fix: #1035 - Longterm cache clear via backend not working
    - fix: demodata#12
    - fix: compatibility to quiqqer/cache module
    - fix: haslicensedpackage request redirect#34
    - fix: User search window -> correctly send filter params erp#32
    - fix: haslicensedpackage request redirect#34
    - fix: license status display if no license uploaded #1056
    - fix: narrows selector of pre- and code-tag in systemcheck control
    - fix: delete project -> deletes media files at the filesystem
    - fix: upload single view -> missing set
    - fix: prevent wrong cookie names
    - fix: workaround for automatic xml panel naming
    - fix: menu -> fowards the windowName to the xml panel
    - fix: consider deleted users at workspace cleanup
    - fix: #1045 - check workspace size
    - fix: project site cache building writes Exception Log only at debug mode
    - fix: trigger javascript callbacks with ajax bundler enabled #1042
    - fix: consider external links at lu flag during output filter
    - fix: use correct require.js version
    - fix: sorting consider inactive sites, too
    - fix: missing user and project attributes in no conflict mode
    - fix: SQL Errors -> group search
    - fix: wrong control type fixed for controls/usersAndGroups/Select
    - refactor: cache license information for 1 day
    - refactor: npm requirejs
    - refactor: requirejs???
    - refactor: feat: no cache dev api for modules
    - refactor: code style
    - refactor: Log message improved.
    - refactor: updated nginx default cache optimizations
    - refactor: Package->hasLicense() now sends systemId and systemHash
    - refactor: used correct require js + changelog adjustment
    - refactor: #728
    - refactor: provide psr/http-client-implementation
    - refactor: psr/http-client-implementation
    - refactor: add psr/http-client-implementation

1.5.0 (11.09.2020)

    Features

    - New Maintenance Mode
    - The grid can now export data by default.
      Each module can thus quickly and easily offer data in Excel, CSV or XML.
    - The mail communication can now be logged completely
    - QUIQQER now has specific country settings
    - MongoDB can now be used as a caching server
    - Permission manager was completely rewritten (1000x faster)

    Feature Developers

    - Database Comments
    - XSD Files for QUIQQER XML Files (https://dev.quiqqer.com/quiqqer/quiqqer/-/tree/master/doc/XML)
    - New console-tool to manage update-servers
    - New PackageInstallException was introduced
    - QUIQQER CLI -> Grouping commands
    - QUIQQER CLI -> System Tool Flag
    - editMobile() + editFax() at Address Class
    - Mootools 1.6
    - Seperate Cache into 2 Caching Types (Longterm Cache and Shortterm Cache)

    Fix

    - fix: Solved overloaded upload requests
    - fix: User Addresses are faster now (table index)
    - fix: Add missing language codes (Andora)
    - fix: If user mail will be changed, it will set it to the default address, too
    - fix: Form.js -> use correct API to add single param in setParams
    - fix: Upload file -> correctly transmit custom file parameters to server
    - fix: Consider old packages which doesnt exists anymore in the menu build
    - fix: Upload field -> do not display submit button if 'sendbutton' option is set to false quiqqer/package-formbuilder#12
    - fix: Media FilePanel -> correctly display watermark size percentage; fixed JS error on save
    - fix: do not register multiple event listeners in Store API
    - fix: password change window -> display error messages in window quiqqer/frontend-users#50
    - fix: correctly read custom console tool arguments from CLI
    - fix: prefix suffix at project data -> use correct suffix data
    - fix: country and language fixes
    - fix: dom parser consider data-qui attribute
    - fix: rel stylesheet -> output filter consider only stylesheet rel
    - fix: quiqqer/quiqqer#1024 - Media: Error when unpacking a Zip
    - fix: adding PathHash insertion to the Media Tables
    - fix: fileformat consider flex box tables
    - fix: mail test consider multiple mails with , (commas)
    - fix: undefined function MongoDB\is_in_transaction() workaround
    - fix: upload form resize and height calculation fixed
    - fix: upload finish status is now set correctly
    - fix: TypeError: Cannot read property 'getId' of undefined - happens sometimes during file deletion
    - fix: utf8 decode fix
    - fix: workaround for QUI.parse in combination with slower PCs

    - quiqqer/quiqqer#377 - User permissions & view permissions has errors
    - quiqqer/quiqqer#972 - Images with DE + EN titles are incorrect
    - quiqqer/quiqqer#752 - Prevent two identical VHosts from being created
    - quiqqer/quiqqer#778 - Page prefix / suffix is not saved
    - quiqqer/quiqqer#929 - Templte events should be handled specifically
    - quiqqer/quiqqer#955 - FileUpload for nobody
           - The FileUpload is currently deeply connected to the QUIQQER backend, so a user must always exist to use the upload classes.
           - Change the file upload from database (UserID) to SessionID and JSON
                - API to integrate the upload into frontend forms without user
                - Developer must be able to set data types
           - Developer Must Manage Upload Folder
           - Deletion of expired uploadfiles per cron
           - Security checks during upload
    - quiqqer/quiqqer#980 - Automatic hyphens behaviour
    - quiqqer/quiqqer#989 - smarty image -> ignores host parameters
    - quiqqer/quiqqer#995 - Menu entries don't show after installing a package
    - quiqqer/quiqqer#1004 - Dragging & Dropping a media folder into itself causes errors
    - quiqqer/quiqqer#1006 - Users can't be deactivated with the slider in the user-manager table overview
    - quiqqer/quiqqer#1011 - Media: File with empty title and alt-text after upload
    - quiqqer/quiqqer#1013 - consider errors at upload manager -> cleanup queue file list
    - quiqqer/quiqqer#1017 - add last update hash to js and css files via output
    - quiqqer/quiqqer#1018 - var/composer/repo/ cleanup
    - quiqqer/quiqqer#1019 - Standard address -> Manage in backend
    - quiqqer/quiqqer#1020 - Special characters in addresses
    - quiqqer/quiqqer#1021 - Calling the index.php returns the start page with code 200
    - quiqqer/quiqqer#1027 - Wrong console tool is execute#1020d by quiqqer:package

    - fix: quiqqer/template-packagestore#16 -> its possible to set style="" at {image} smarty function

    - refactor: Uploaded uses fetch() instead of XMLHttpRequest (Thereby better handling of connection errors)
    - refactor: log 'user not found' exception during authentication in auth.log instead of error.log
    - refactor: QUIQQER main console -> read system tools in correct place
    - refactor: Focus style of buttons are now visible
    - refactor: added aliases for cli htaccess and licence
    - refactor: alias for quiqqer:update to update
    - refactor: alias for quiqqer:setup to setup
    - refactor: added system country to JS
    - refactor: integrated PermissionUsers for MediaItems
    - refactor: user has current address now, getCurrentAddress(); current used address for the user
    - refactor: Project languages are no accessible at JS; set user lang, set internal language attribute of an user
    - refactor: frontend Project -> languages attribute; Language Select consider Frontend
    - refactor: quiqqer exception_error_handler better error output
    - refactor: controls/users/address/Select -> country added to the address text; new event -> onload
    - refactor: Update File.js - update chunk params in correct order (by hen)
    - refactor: Update Form.js - prevent multiple finish event triggering (by hen)
    - refactor: check if locale has an empty language, so use the default language from the system
    - refactor: quiqqer.upload.maxFileUploadSize to 10000000 bytes

1.4.2 (13.03.2020)

    Features

    - feat: Confirm dialog before clearing complete QUIQQER cache - #981
    - feat: Multi key encryption keys are now possible
    - feat: Show an info message if the admin mail is empty

    Fixes

    - fix: #978
    - fix: #984 - sort / order fixed
    - fix: openssl iv length bugs fixed
    - fix: refactor: set or overwrite db settings is not allowed via the frontend
    - fix: refactor: set or overwrite openssl settings is not allowed via the frontend
    - fix: encryption debugging logs
    - fix: catch hex2bin exception
    - fix: mailer -> remove picture
    - fix: cleanup from output filter
    - fix: output filter sonder style elements
    - fix: add missing locale variables for cache-clear-buttons
    - fix: correct order of implode() parameters
    - fix: clear compile cache at quiqqer cache clearing
    - refactor: global settings filter at backend communitcation + global quiqqer settings nonce
    - refactor: cleanup -> output
    - refactor: implemented new user delete permission

1.4.1 (06.03.2020)

    Main Features

    - #977 Incorrect character encoding in the multilingual image titles
    - #973 Slow Querys in Media
    - #968 Emojis Support
    - #966 Pagination in Media looks strange if there are less results than set to "per page

    Features

    - feat: console tool GetSiteAttributes

    Fixes

    - fix: #977
    - fix: packages now use the quiqqer cache naming convention table
    - fix: Folder download fixed for new Chrome Versions
    - fix: missing locale packages.panel.category.system
    - fix: redis server check consider empty locahost
    - fix: redis server check consider empty locahost
    - fix: cache instances dont instance multiple instances
    - fix: activating and deactivating of sites which have a release date in the future
    - fix: media sorting -> default ASC
    - fix: #975 - Project Input with pre-defined project
    - fix: feat: X-Frame-Options as config option (not in GUI available; same for X-Content-Type-Options & X-XSS-Protection
    - fix: clear cache all removed to quiqqer clear cache
    - fix: pagination rendering in media panel #966
    - fix: Folder Viewer -> create folder -> refresh
    - fix: create media folder in folder viewer translated; fix: media folder -> better exception handling
    - fix: pcsg/kunden/froilein-adrett-template#18
    - fix: #96 - Media Folder sind nicht multilingual
    - fix: consider empty templates (if smth is wrong) in the template handler
    - fix: Output->images() -> correctly check if ['src'] is set
    - fix: default value for project default language
    - refactor: #973 - Slow Querys in Media
    - refactor: White background color for media input.
    - refactor: feat: new clear caching events
    - refactor: quiqqer >= php 7.2

1.4.0 (24.02.2020)

    Main Features

    - Images are delivered as picture elements <picture>
        - New picture output API
        - WebP Conversion via quiqqer/cache possible
    - Media is multilingual
    - Media Files and Folders has permissions
    - New server backend console
    - The look of the grid has been updated

    Features

    - quiqqer/quiqqer#927 - ZIP Upload from packages -> considered dev-master and dev-dev
    - quiqqer/quiqqer#947 - Improve image serving
    - namerobot/namerobot#100 - added more pagination page size options for Media panel
    - quiqqer/quiqqer#953 - Change title -> Adjust URL

    - New rewrite request event -> onRequestImageNotFound
    - Project and Site are globaly available in Smarty Templazes
    - Implement new method getChildrenByName; useful for duplicated names in media folders
    - Console css class added (for frontend console output)
    - Grid -> consider filter, if setData is executed (refresh bug)
    - Media: the file extension is visible now
    - PHP Fatal error: Uncaught Error: Call to undefined function array_key_last()

    Fixes

    fix: deleted missing methods included
    fix: path history removed from constructor (media)
    fix: performance issue -> urldecode problem solved
    fix: fallback for empty project in controls/projects/project/media/Input

    refactor: added new createImageHtml Events; consider mime_type for source element

1.3.3 (02.02.2020)

    - fix: Deprecation Notice: implode(): Passing glue string after array is deprecated

1.3.2 (21.09.19)

    - fix: breadcrumb meta position

1.3.1 (02.09.19)

    - fix: session name problem fix included to 1.3.1
    - fix: workaround for intervention header output error -> https://dev.quiqqer.com/quiqqer/quiqqer/commit/d0ced1063417c465bdd69289497d32d075c623e3
    - fix: getSystemLocale Method

1.3 (24.07.2019)

    Main Features

    - New Dashboard
    - Code performance
    - Template inheritance

    Features

    - Show size of folders in properties
    - Login Window can be overwritten
    - Package constants introduced for reading XML files
    - The search now also considers app short descriptions
    - Show account creation date in Userinfo
    - Filter for the FontAwesome icons
    - Server errors are intercepted by the Ajax and sent again if necessary.

    New Modules / Packages

    - QUIQQER Dashboard
    - QUIQQER Redirect

    Fixes

    - Security QVE Fixes
        -> QVE-12-2019-1  - Everyone can edit redirects
        -> QVE-12-2019-13 - .htaccess files can be uploaded
        -> UploadManager allows everyone calling every php-function

    - quiqqer/quiqqer#314 - Delete page -> No indicator for delete process
    - quiqqer/quiqqer#368 - set vhost redirection and layout if the default project does not have a template
    - quiqqer/quiqqer#477 - Group "Everyone" not selectable in rights management
    - quiqqer/quiqqer#522 - Always open pages in sitemap when opening a page panel (in the backend)
    - quiqqer/quiqqer#546 - Always the same message after activating pages
    - quiqqer/quiqqer#550 - database.xml ignores '#' as default value
    - quiqqer/quiqqer#551 - onPackageSetup Event fired multiple
    - quiqqer/quiqqer#552 - Toolbars at "Everyone" are not applied
    - quiqqer/quiqqer#702 - Login Control: Hide other authenticators if Password Reset is shown
    - quiqqer/quiqqer#739 - JS Error when saving page titles (project settings)
    - quiqqer/quiqqer#755 - Version of QUIQQER system in backend missing current versions
    - quiqqer/quiqqer#759 - After fresh 1.2.0 installation many updates are available
    - quiqqer/quiqqer#764 - Missing feedback when deleting indelible group
    - quiqqer/quiqqer#767 - JS Error in login window QUIQQER if no language file available
    - quiqqer/quiqqer#768 - Run Setup after new language is added to the project
    - quiqqer/quiqqer#776 - Questions before system check is performed
    - quiqqer/quiqqer#787 - Upload control: broken Buttons
    - quiqqer/quiqqer#793 - Cursor jumps backwards on Site title edit
    - quiqqer/quiqqer#804 - Can't change the caching type anymore
    - quiqqer/quiqqer#806 - Invalid version string ""
    - quiqqer/quiqqer#807 - Password field for email must not have autofill
    - quiqqer/quiqqer#808 - If the system administration e-mail is empty, the mail sending does not work.
    - quiqqer/quiqqer#813 - Select Standard Workspace Select Element is not displayed
    - quiqqer/quiqqer#816 - Wrong language translations
    - quiqqer/quiqqer#821 - Page Sorting - Show Title or Name Setting Option
    - quiqqer/quiqqer#825 - Creating the default-site structures names sites "###"
    - quiqqer/quiqqer#833 - Are the Thread classes still required?
    - quiqqer/quiqqer#844 - Write update and setup logs to logfile
    - quiqqer/quiqqer#850 - Internal server error in frontend by translations publishing
    - quiqqer/quiqqer#854 - Only a part of the standard crons was created.
    - quiqqer/quiqqer#857 - Missing and Wrong Language Variables
    - quiqqer/quiqqer#863 - quiqqer:setup console command ends incorrectly
    - quiqqer/quiqqer#865 - Dependency update fails
    - quiqqer/quiqqer#871 - Remove request repetition


1.2.11 (20.05.2019)

    - fix: Missing getSiteByUrl() method added

1.2.10 (07.05.2019)

    - QVE-12-2019-3 to -11

1.2.9 (30.01.2019)

    - feat: quick feat because of imagemagick bug- it is now possible to specify in the media settings which image library to use

1.2.8 (22.01.2019)

    - fix: Mismatched anonymous define() module: function (UploadManager)

1.2.7 (13.11.2018)

    - fix: patch -> quiqqer/quiqqer#788 - The wrong project at the media popup

1.2.6 (08.11.2018)

    - fix: Wrong store url fixed

1.2.5 (08.11.2018)

    - fix: `+` is not an illegal character in an email.

1.2.4 (30.10.2018)

    - refactor: Mail settings -> always show and set SSL/TLS security settings

1.2.3 (29.10.2018)

    - fix: patch -> quiqqer/quiqqer#772

1.2.2 (24.10.2018)

    - fix: permissions -> only user permissions considered -> patch

1.2.1 (22.10.2018)

    - fix: meta hreflang bugfix

1.2 (30.09.2018)

    Main Features

    - Bootstrap, jQuery, Angular and other Frameworks are supported
    - Caching performance improved
    - Caching with Redis
    - Systemadministrator: New permission console tool
    - SEO: Each language list itself as own alternate hreflang

    Features

    - User address - render options, it is now possible to determine if phone and mail is displayed
    - New mailer events - onMailer, onMailerSendBegin, onMailerSend
    - Installed extensions info now shows version-hash
    - Package-info-dialog now uses locale-variables & is translated to english
    - Load standard-project by default in admin project side-panel
    - Trash shows path of deleted files
    - New user address events: onUserAddressSaveBegin, onUserAddressSave
    - Template Object extended -> getExtendHeader(); getExtendFooter()
    - Implented a new methode for complete permission list for an user
    - UserAuthException implemented
    - New Template option -> noConflict option; Mootools and QUI is integrated to work with jquery and other frameworks
    - Each language version must list itself as well as all other language versions -> alternate hreflang
    - New about window, added hash reference and new logo

    - quiqqer/quiqqer#721 - Media - better confirmation when deleting files / folders
    - quiqqer/quiqqer#744 - If a page is deleted or hidden, links to it will automatically be removed from view.

    Refactor / Requirement updates

    - Upgrade to http-foundation 4.2
    - Upgrade to PhpMailer 6
    - Upgrade to CKEditor 4.1
    - symfony/http-foundation v2 v3 and v4.2 are allowed now
    - deprecate: memcache is deprecate now, memcached is still available


    Fixes

    - Log critical error if a package composer file has some errors
    - Empty user integer value -> intercepted in controls/users/SelectItem
    - User Select checks the value, whether it really is a number
    - Grid resize workaround in Panels
    - Event handling in the ajax handler are optimized
    - User Panel has now unique IDs, so they are not opened twice
    - Correct input type for package store url setting
    - Security fix for the custome htaccess file
    - Changed datatype to 'php,js' for all 'language.*' variables
    - Set QUIQQER_USER after successul asynchronous authentication
    - isAuthenticated sets the correct window.QUIQQER_USER
    - Last existing project can't be deleted anymore
    - Read QUIQQER_USER.country correctly
    - Correctly get all available languages in QUIQQER
    - Users cannot login if they are not active
    - Delete addresses on User->disable()
    - Delete addresses on User->disable()
    - Correctly get all available languages in QUIQQER
    - qui/controls/elements/Select option multiple -> button height fixed
    - Do not set default permission values to users
    - Grid export popup -> js errors fixed and tested
    - Workaround for the mustache symlink issue
    - Show standard verification site for PasswordResetVerification if no designated login site is configured
    - ajax_email_validate -> allowed for all logged in users instead of admin users only
    - Removed unnecessary require modules from controls/email/SelectItem
    - Project->get throws no exception if site is inactive, instead the page is displayed with no permission
    - Media file replacement -> loader hide error fixed
    - At CRUD Factor, createBegin Event triggered on better position

    - quiqqer/quiqqer#472 - Create project via console does not create paths table
    - quiqqer/quiqqer#714 - Activate/deactivate Use without permission -> Eternal Loader and JavaScript error
    - quiqqer/quiqqer#715 - Non-SuperUser Cannot Edit Users
    - quiqqer/quiqqer#716 - Grid - Manual page entry incorrect
    - quiqqer/quiqqer#719 - Image selection -> Bug when deleting
    - quiqqer/quiqqer#725 - Infinite link tree in sitemap
    - quiqqer/quiqqer#726 - Set global cache flag correctly
    - quiqqer/quiqqer#727 - Update date "Last update check" for QUIQQER Update
    - quiqqer/quiqqer#729 - exception stacktrace ONLY if dev and debug are active; the exception context contain the ip, too;
                                login errors will be logged into a new error log -> auth.log
    - quiqqer/quiqqer#731 - CKEditor and custom.css errors
    - quiqqer/quiqqer#735 - Media: change priorities in the folder properties - number to set rushes up or down if you stay with the mouse on the corresponding arrow
    - quiqqer/quiqqer#747 - Trim image name on upload & save (closes #747)
    - quiqqer/quiqqer#748 - Uncaught Error: Call to a member function getMode() on null

    - quiqqer/order#44 - Wrong VAT Value -> result of wrong address value
    - quiqqer/products/issues/112 - Category Select has wrong layout


1.1.1 (30.05.2018)

    Feature:

    - feat: global forwardings are now completly editable
    - feat: multilang package store url quiqqer/packagestore#28

    Bugfixes

    - fix: Media Input can be used by an input field in the flexbox tables
    - fix: Add change event to the site input field
    - fix: Notice: Undefined index: source in console setup
    - fix: Composer asset require - correct Version

    - fix: quiqqer/quiqqer#707 - Redirect Error
    - fix: quiqqer/quiqqer#709 - Double execution of setup event
    - fix: quiqqer/quiqqer#710 - Missing translation
    - fix: quiqqer/quiqqer#711 - Cannot activate deactivated Group in Group Panel

1.1 (15.05.2018)
------

    Overview

    - News [https://www.quiqqer.com/](https://www.quiqqer.com/)

    Features

    - feat: #300 - Menü Permissions
    - feat: #361 - Symmetric encryption improved
    - feat: #508 - Default Toolbars for the WYSIWYG-Editor
    - feat: #535 - In the media area its possible to download a whole folder as a.zip file
    - feat: #545 - Filters integrated in the media area
    - feat: #565 - Console tool for changing the project name and deleting projects
    - feat: #571 - Dev: ADMIN Flag is true
    - feat: #579 - Installing manually downloaded Packages
    - feat: #594 - New menu for the user profile in the administration
    - feat: #601 - Dev: site.xml extend by category entries
    - feat: #605 - Project selection in the media area
    - feat: #607 - Workspace optimizations if it does not fit into the view
    - feat: #623 - Console tool for package / module management
    - feat: #630 - Integration of the Q-Store
    - feat: #638 - Dev: External Image Object
    - feat: #641 - Dev: nocache Flag for the site.xml
    - feat: #648 - Integration of a system check
    - feat: #676 - New button colors
    - feat: #698 - Custom data for addresses

    - feat: Added lockserver support to package manager. Might still be broken.
    - feat: Added new consoletools to remove or rename a project
    - feat: Added new setting for the lock server
    - feat: Added static file optimizations to the nginx config generator.
    - feat: Address getPhone Method
    - feat: Address->equals() to compare two addresses
    - feat: Address->getName() method
    - feat: Addresslimit per user built in - quiqqer/frontend-users#19
    - feat: API extension for the Panel Utils
    - feat: Check if user with email address exists
    - feat: CLImate integration
    - feat: controls/users/Login -> userLoginError event
    - feat: CopyLanguageSites console tool
    - feat: create Project -> languages parameter -> create a project with multiple languages
    - feat: Erklärungstext für Datei Checksum Popup. refactor: Code Optimierung in SystemCheck.js.
    - feat: Execute package setup via console
    - feat: Flexbox tables -> have a css to display help texts on a question mark
    - feat: Generate random password
    - feat: GetProjectByVhost
    - feat: Global forwardings are now completly editable
    - feat: Grid -> Grid cells now have a data-index attribute, so it is possible to react to cell events better
    - feat: Grid: deselect rows that are hidden by filter
    - feat: JS has the posibility to get the base url from a site
    - feat: Log::writeDebugException
    - feat: Mail Test logged noch mehr -> auf phpmail loglevel 3 gestellt
    - feat: MailQueue->sendAll()
    - feat: Name / Url Field in Seiten Information -> ein / ausklapbar
    - feat: New Event: onGroupCreate event
    - feat: New events for setup, project and package
    - feat: ParentUser for ->addAddress()
    - feat: Project data are sent by ajax as standard.
    - feat: Projekt-Panel optimiert; Schnelleres Arbeiten durch Umsetllung der GUI
    - feat: Reasons for authentication error exceptions
    - feat: Redirect to login site after successful password reset
    - feat: refactor: User->getUniqueId : RFC 4122
    - feat: Renamed the requirements-checksum states and their descriptions
    - feat: Reset password functionality
    - feat: Restrict login for X seconds after failed login attempt
    - feat: Send QUI\Exception attributes to frontend
    - feat: set mail limit per hour for mail queue
    - feat: set period of validity for password reset link
    - feat: Setup::executeEachPackageSetup has the package setup options
    - feat: Show specific authenticators in login control
    - feat: Site->getUrlRewrittenWithHost() method
    - feat: SSl configuration is now done by an included config to avoid overwriting certificate locations on
    - feat: The main QUIQQER Object now has an auth verification method; with the auth message its possible to refresh the user messages, too
    - feat: The webinterface will now use the lockserver to check for updates and to run updates
    - feat: Users->hasEmail() to check if a user has an email address quiqqer/contact#14

    - feat: quiqqer/package-translator#28 - Package setup will now use \QUI\Translator::batchImportFromPackage() to import the packages locale.xml files
    - feat: quiqqer/packagestore#1 - Package-Store
    - feat: quiqqer/packagestore#28 Multilang package store url
    - feat: quiqqer/package-sitetypes#7

    - feat: API - New global admin event -> onAdminRequest
    - feat: API - New Event: onUserLoginStart
    - feat: API - New Event: onUserGetAvatar
    - feat: API - New Event: onUserLogout
    - feat: API - New Event: onUserCreate


    Bugfixes

    - fix: quiqqer/quiqqer#334 - Note paths of child pages when saving a page
    - fix: quiqqer/quiqqer#392 - Media -> Image title upper and lower case
    - fix: quiqqer/quiqqer#400 - var/media folders merged
    - fix: quiqqer/quiqqer#432 - Password security deficient -> genHash replaced
    - fix: quiqqer/quiqqer#456 - Create new group without permissions - window opens
    - fix: quiqqer/quiqqer#467 - Media: Incorrect image causes Internal Server Error
    - fix: quiqqer/quiqqer#471 - User panel for one user can be opened multiple times
    - fix: quiqqer/quiqqer#483 - Endless loading when system management is called with non SU users
    - fix: quiqqer/quiqqer#487 - Error during migration
    - fix: quiqqer/quiqqer#489 - Groups: Change parent group
    - fix: quiqqer/quiqqer#493 - Delete multiple folders in media area
    - fix: quiqqer/quiqqer#496 - Add Update Server: Missing overview
    - fix: quiqqer/quiqqer#503 - Lock error fixed
    - fix: quiqqer/quiqqer#504 - Deleted CSP rules come back after saving
    - fix: quiqqer/quiqqer#513 - Setup: Create standard page structure for all languages. (So far only German is considered)
    - fix: quiqqer/quiqqer#514 - Setup: SQL error duplicate entry of permissions.
    - fix: quiqqer/quiqqer#515 - Incorrect implementation of hreflang
    - fix: quiqqer/quiqqer#516 - Display message if backend login not allowed
    - fix: quiqqer/quiqqer#518 - Crash when creating a new toolbar
    - fix: quiqqer/quiqqer#520 - Wrong text in project settings--> project
    - fix: quiqqer/quiqqer#521 - Media detail view prevents folder navigation
    - fix: quiqqer/quiqqer#524 - Nginx: Extend FastCGI Pamater.
    - fix: quiqqer/quiqqer#532 - upload.php did not pass messages to the end user
    - fix: quiqqer/quiqqer#533 - In the sorting in the folder properties thumbnails would be super
    - fix: quiqqer/quiqqer#534 - No events are removed with Package uninstall
    - fix: quiqqer/quiqqer#536 - Capitalized file extensions are not recognized as images in the media area
    - fix: quiqqer/quiqqer#537 - Right click rename file in media
    - fix: quiqqer/quiqqer#539 - MAC OS - media multiple selection does not work
    - fix: quiqqer/quiqqer#542 - Config for max file size
    - fix: quiqqer/quiqqer#543 - -1 max memory will be considered during the update
    - fix: quiqqer/quiqqer#544 - Setting Use Package Rights exists twice
    - fix: quiqqer/quiqqer#556 - Media: Let the search case insensitive searching
    - fix: quiqqer/quiqqer#557 - Media: Theoretically correct SVG cannot be displayed.
    - fix: quiqqer/quiqqer#566 - Loader in the page panel does not disappear if an error occurs while saving
    - fix: quiqqer/quiqqer#567 - Preview function not usable
    - fix: quiqqer/quiqqer#568 - Media popup: Cannot navigate in folders in List view.
    - fix: quiqqer/quiqqer#569 - Redesign Upload-Control
    - fix: quiqqer/quiqqer#574 - Double host in Canonical
    - fix: quiqqer/quiqqer#575 - Console: getUserBySession should return the logged in user
    - fix: quiqqer/quiqqer#580 - MySql Strict: Password change
    - fix: quiqqer/quiqqer#581 - Update console tool does not show any progress
    - fix: quiqqer/quiqqer#584 - Media: Rename file -> in name to existing file
    - fix: quiqqer/quiqqer#585 - Malformed gitlab
    - fix: quiqqer/quiqqer#589 - Defective links in dashboard
    - fix: quiqqer/quiqqer#597 - User cannot be deactivated via grid
    - fix: quiqqer/quiqqer#599 - WYSIWYG/Editor Control should not be able to be displayed in Site Panel Settings
    - fix: quiqqer/quiqqer#600 - Extend QUIQQER Login with Forgotten Password
    - fix: quiqqer/quiqqer#606 - If the workspace has errors or is defective, the user should be given the opportunity to restore a standard.
    - fix: quiqqer/quiqqer#609 - Feedback when running the setup in the console
    - fix: quiqqer/quiqqer#612 - Missing language variable when removing Update Server
    - fix: quiqqer/quiqqer#614 - Media -> Upload data behaves strangely
    - fix: quiqqer/quiqqer#617 - If another user logs in -> wrong message
    - fix: quiqqer/quiqqer#621 - site.xml: Extending page types from other packages
    - fix: quiqqer/quiqqer#628 - Page preview not available for disabled subpages
    - fix: quiqqer/quiqqer#632 - System Update error: The "prefer-dist" argument does not exist.
    - fix: quiqqer/quiqqer#636 - Page panels sometimes do not load
    - fix: quiqqer/quiqqer#639 - Delete /media/users
    - fix: quiqqer/quiqqer#643 - E-Mail setting: Test mail always uses SMTP
    - fix: quiqqer/quiqqer#648 - Ajax file check gives corresponding messages in case of errors
    - fix: quiqqer/quiqqer#649 - Two-factor authentication can be ignored
    - fix: quiqqer/quiqqer#652 - Language variable for logout window in QUIQQER Locale
    - fix: quiqqer/quiqqer#658 - Backend Ajax will not be found if QUIQQER is installed in subdirectory
    - fix: quiqqer/quiqqer#659 - UserIcon Position
    - fix: quiqqer/quiqqer#660 - Settings: Using package permissions is double
    - fix: quiqqer/quiqqer#667 - Media: Incorrect display of the active status of files
    - fix: quiqqer/quiqqer#670 - Dependencies
    - fix: quiqqer/quiqqer#671 - For each resuest in QUIQQER a SHOW TABLES
    - fix: quiqqer/quiqqer#672 - Replacen of an image dont work
    - fix: quiqqer/quiqqer#673 - Update error
    - fix: quiqqer/quiqqer#680 - Missing translation for icon selection
    - fix: quiqqer/quiqqer#681 - Missing translation for Confirm.js
    - fix: quiqqer/quiqqer#686 - Media - Image sorting in a folder does not work
    - fix: quiqqer/quiqqer#691 - Preferred language in the backend
    - fix: quiqqer/quiqqer#693 - Incorrect display of users who are disabled
    - fix: quiqqer/quiqqer#703 - Upload-Control looks ugly
    - fix: quiqqer/quiqqer#704 - Grid mass-selection selects too many entries
    - fix: quiqqer/quiqqer#707 - Error at a redirect

1.0.13 (30.03.2017)
------

    Benutzer

    - feat: Neue Authentifizierungsmethoden
        - 2FA, Facebook, Google
    - feat: HSTS und CSP (Content Security Policy Verwaltung)
    - feat: Bookmarks Panel ist nun einfacher Verwaltbar
    - feat: Passwort Sicherheit erweitert um Authentifizierungen
    - fix: Sprachvariablen komplett überarbeitet


    Entwickler

    - feat: Desktop Suche wurde in neues Modul ausgelagert quiqqer/backendsearch
        - Doku und API befindet sich im Repository Wiki
    - feat: Neue Auth API
    - fix: Composer Event Handling - Es kann nun bessere auf Composer Events reagiert werden


    Bugfixes

    - fix: #502
    - fix: #185
    - fix: #464 Grid - Filter nur lowercase möglich
    - fix: #500
    - fix: #499
    - fix: #498
    - fix: #96
    - fix: #217
    - fix: quiqqer/tour#7
    - fix: #488 - Gruppen-Liste: 'Darf in die Administration' fehlerhaft
    - fix: #490 - Gruppen-Rechte für Everybody und Guest setzen
    - fix: quiqqer/tour#2; fix: Sheet close -> destroy DOM Element
    - fix: quiqqer/tour#4
    - fix: #462; feat: Suche kann nun mit Alt+F aufgerufen werden
    - fix: quiqqer/qsetup#34 - Exception beim Setup
    - fix: #466 - Backend: Vorschau gibt weiße Seite

    - fix: QUI\Cache\Manager::getStash -> double Slashes removed
    - fix: QUI\Cache\Manager::getStash -> besseres Exception werden
    - fix: Viele Fixes in CSS und Input Elemente
    - fix: Rewrite -> Exception von File Objekte werden abgefangen und ein 404 mit ausgegeben

    - feat: meta -> og:image twitter:image image
    - feat: New way to generate the NGINX config.


1.0.12 (11.01.2017)
------

    Benutzer

    - Globale Weiterleitungen
        - Globale Weiterleitungen mit Wildcards können eingerichtet werden
        -> Menü -> Einstellungen -> QUIQQER -> Globale Weiterleitungen

    Entwickler

    - MySQL Strict Mode Kompatibel
    - dusank/knapsack -> 8.* integriert
    - HTACCESS fixes: disabled whitelist checking
    - URI in requirejs als Module referenziert
    - Neuer Settings DOM Interpreter
    - Prioritäten bei Events eingeführt
        - https://dev.quiqqer.com/quiqqer/quiqqer/wikis/Events-Xml

    Bugfixes

    - #445 Erstes Projekt anlegen und Standardseiten
    - #14  Globale Weiterleitungen
    - #458 SVG hochladen und verwenden


1.0.11
------

    Benutzer

    - InputMultiLang optimiert
    - Übersetzungen verbessert
    - Setup besitzt push Nachrichten
    - Settings für die verschiedenen Trennzeichen in den Spracheinstellungen
    - Sitzungsablauf wurde zu früh beendet
    - Benutzer Avatar eingeführt
    - Benutzer und Gruppensuche verbessert
    - Komplett neue Updateoberfläche


    Entwickler

    - CRUD System eingeführt
    - Currencies sind keine Abhängigkeiten von QUIQQER mehr
    - HTACCESS Generierung verbessert / Fehler behoben
    - Fehler im Upload behoben
    - Verbesserte Controls in Groups und Users
    - Locale besitzt nun ein formatNumber()
    - PSR2 in Unterbibliotheken umgesetzt
    - Ajax Fehler werden besser abgefangen
    - NGINX Generator
    - noUISlider integriert
    - settings.xml werden richtig ausgelesen
    - Site besitzt neue Methode Site->lastChild()
    - Neues Event: onUserChangePasswordBefore
    - onUserSetPassword zu onUserChangePassword geändert
    - JS Pakete werden nun über NPM gehohlt
    - quiqqer/composer aufgenommen und integriert
    - onRequestOutput -> Content ist änderbar
    - getOutdatedPackages in System Update integriert
    - URIjs integriert
    - MySQL Strict Mode beachtet
    - Intl für Safari 9 behoben


    Bugfixes

    - #420 Zugang zum Adminbereich Setting wird nicht in die Permissions übernommen
    - #420 Zugang zum Adminbereich Setting wird nicht in die Permissions übernommen
    - #415 Maximale Anzahl von Seiten (Projekteinstellungen)
    - #412 Events werden bei Einzel-Setup eines Pakets mehrfach registriert
    - #413 Einzel-Paket Setup veröffentlicht keine Sprachvariablen
    - #418
    - #425
    - #417 Benutzer kann seine eigenen Daten nicht ändern, wenn er nicht SU ist.
    - #433 Gruppe erweitern (groups.xml) Cache löschen => Einstellungen weg
    - #362 Setup kann mehrmals gleichzeitig ausgeführt werden
    - #378 Benutzer kann nicht mehr gespeichert werden, nachdem das Passwort geändert wurde
    - #376 custom.css speichern - Dateirechte prüfen
    - #370 Benutzerverwaltung -> Suche funktioniert nicht
    - #49  Rechtschreibung
    - #429 Verknüpfung löschen
    - #49  Editor iFrame problem
    - #54  open create child fix -> load error fixed
    - #442 fix: quiqqer/quiqqer'441
    - #450 Viele Pakete updaten --> loader.close
    - #359 Editor Toolbar Auswahl
    - #188 Im Media-Bereich fehlt die Funktion um Bilder von Ordner zu Ordner zu verschieben

    - Projekt#14; Benutzer XML API Erweitert -> <profile> -> https://dev.quiqqer.com/quiqqer/quiqqer/wikis/User-Xml
    - Projekt#15 Ergebnisse der Produktsuche / Bildanzeige Priorität


1.0.10
------

    Benutzer

    - Sitzungsdauer Fehler -> gc_maxlifetime wird richtig gesetzt
    - Anmeldung eines Benutzers an der Bash Konsole sieht den Nutzer nun auch als Sitzungsnutzer an.
    - Übersetzungsdatei erweitert
    - Administrationslogin - Sprachauswahl nun auch nur bei einer Sprache möglich
    - Umstellung auf Font Awesome 4.5
    - Beim Setup wurde im Favicon eine Ladeanimation integriert
    - Upload einer Datei wird nun auch angezeigt wenn kein Uploadmanager im Desktop integriert ist
    - Benutzer und Gruppen Auswahlcontrol: Es werden nun auch die Gruppen richtig durchsucht und gelistet
    - Projekt Einstellungen: Beim Speichern wird keine weiße Seite mehr angezeigt

    Entwickler

    - Das Editorobjekt wurde auf Promises umgestellt
    - Die Nutzung von gettext wurde übersichtlicher gestaltet
    - Integration von Mustache
    - Update auf Composer Dev 1
    - Das Folderviewer Objekt kann nun auch Ordner anzeigen und wurde mit besseren Fehlermeldungen ausgestattet
    - fxp/composer-asset-plugin fix Update, wegen Composer Update nötig
    - Beim Speichern eines Bildes werden Fehler im createCache abgefangen. Manchmal wirft das Filesystem Fehler.
    - Projekt Einstellungen: QUI parse und Controls parse integriert. Controls werden nun interpretiert und Promises werden eingesetzt


Big Bang
------
